Package org.apache.lucene.analysis.miscellaneous

## Class KeywordMarkerFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`
  Direct Known Subclasses:
    `PatternKeywordMarkerFilter`, `SetKeywordMarkerFilter`

      public abstract class KeywordMarkerFilter
      extends TokenFilter

  Marks terms as keywords via the `KeywordAttribute`.
  See Also:
    `KeywordAttribute`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `KeywordMarkerFilter​(TokenStream in)` | Creates a new `KeywordMarkerFilter`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `incrementToken()` |
    `protected abstract boolean` | `isKeyword()` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset, unwrap`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeywordMarkerFilter

          protected KeywordMarkerFilter​(TokenStream in)

      Creates a new `KeywordMarkerFilter`
      Parameters:
        `in` - the input stream

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### isKeyword

          protected abstract boolean isKeyword()